"""calendar

Revision ID: 44b669ba1ad8
Revises: fcc61acaa15a
Create Date: 2021-10-20 12:10:11.096905

"""
from alembic import op
import sqlalchemy as sa
import adf.services.database.custom_types


# revision identifiers, used by Alembic.
revision = '44b669ba1ad8'
down_revision = 'fcc61acaa15a'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('calendar_data',
    sa.Column('date', sa.DateTime(timezone=True), nullable=False),
    sa.Column('zones', sa.String(), nullable=True),
    sa.Column('is_school_holiday', sa.String(), nullable=True),
    sa.Column('days_before_next_school_holiday', sa.Float(), nullable=True),
    sa.Column('daynum_school_holiday', sa.Float(), nullable=True),
    sa.Column('is_holiday', sa.Integer(), nullable=False),
    sa.Column('holiday_name', sa.String(), nullable=True),
    sa.Column('days_before_next_holiday', sa.Float(), nullable=True),
    sa.Column('departements', sa.String(), nullable=True),
    sa.Column('holiday_type', sa.String(), nullable=False),
    sa.Column('location', sa.String(), nullable=False),
    sa.Column('start_date', sa.DateTime(timezone=True), nullable=False),
    sa.Column('end_date', sa.DateTime(timezone=True), nullable=False),
    sa.PrimaryKeyConstraint('date', 'location'),
    sa.UniqueConstraint('date', 'location')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('calendar_data')
    # ### end Alembic commands ###
